#
# spec file for package rubygem-childprocess
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-childprocess
Version:        5.1.0
Release:        1.2
%define mod_name childprocess
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.4.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/enkessler/childprocess
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A simple and reliable solution for controlling external programs
License:        MIT

%description
This gem aims at being a simple and reliable solution for controlling external
programs running in the background on any Ruby / OS combination.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
# MANUAL
# delete custom files here or do other fancy stuff
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.document' -o -name '.travis.yml' -o -name '.gitignore' -o -name '.rspec' \) | xargs rm
# /MANUAL

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ### Version 5.1.0 / 2024-01-06
  * [#196](https://github.com/enkessler/childprocess/pull/196): Remove `ostruct` dependency to fix deprecation warning on Ruby 3.4
  * [#199](https://github.com/enkessler/childprocess/pull/199): Add `logger` dependency to fix deprecation warning on Ruby 3.4
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ### Version 5.0.0 / 2024-01-06
  * [#175](https://github.com/enkessler/childprocess/pull/175): Replace all backends by `Process.spawn` for portability, reliability and simplicity.
  * [#185](https://github.com/enkessler/childprocess/pull/185): Add support for Ruby 3.x
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 4.1.0
  see installed CHANGELOG.md
  [#]## Version 4.1.0 / 2021-06-08
  * [#170](https://github.com/enkessler/childprocess/pull/170): Update gem homepage to use `https://`
  * [#177](https://github.com/enkessler/childprocess/pull/177): Add ARM64-macos support
* Wed Aug 26 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 4.0.0
  * [#167](https://github.com/enkessler/childprocess/pull/167): Fix detach behavior on Windows
  * [#168](https://github.com/enkessler/childprocess/pull/168): Drop support for Ruby 2.3
- packaging changes:
  * drop development only files
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.0.0
  * [#156](https://github.com/enkessler/childprocess/pull/156): Remove unused `rubyforge_project` from gemspec
  * [#160](https://github.com/enkessler/childprocess/pull/160): Remove extension to conditionally install `ffi` gem on Windows platforms
  * [#160](https://github.com/enkessler/childprocess/pull/160): Remove runtime dependency on `rake` gem
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.0
  see installed CHANGELOG.md
  [#]## Version 2.0.0 / 2019-07-11
  * [#148](https://github.com/enkessler/childprocess/pull/148): Drop support for Ruby 2.0, 2.1, and 2.2
  * [#149](https://github.com/enkessler/childprocess/pull/149): Fix Unix fork reopen to be compatible with Ruby 2.6
  * [#152](https://github.com/enkessler/childprocess/pull/152)/[#154](https://github.com/enkessler/childprocess/pull/154): Fix hangs and permission errors introduced in Ruby 2.6 for leader processes of process groups
* Fri Feb  8 2019 mschnitzer@suse.com
- updated to version 1.0.1
  * Fix installs by adding `rake` gem as runtime dependency
  * Relax `rake` gem constraint from `< 12` to `< 13`
  [#] From Version 1.0.0
  Fix conditional install of ffi on Windows
  Commit 576c249 didn't specify the requirement correctly, resulting in a
  failed install on Windows platforms.
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 0.9.0
  see installed CHANGELOG.md
  [#]## Version 0.9.0 / 2018-03-10
  * Added support for DragonFly BSD.
* Wed Oct 11 2017 coolo@suse.com
- updated to version 0.8.0
  see installed CHANGELOG.md
  [#]## Version 0.8.0 / 2017-09-23
  * Added a method for determining whether or nto a process had been started.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 0.7.1
  see installed CHANGELOG.md
  [#]## Version 0.7.1 / 2017-06-26
  * Fixed a noisy uninitialized variable warning
* Tue May 23 2017 coolo@suse.com
- updated to version 0.7.0
  see installed CHANGELOG.md
  [#]## Version 0.7.0 / 2017-05-07
  * Debugging information now uses a Logger, which can be configured.
* Sat Mar 25 2017 coolo@suse.com
- updated to version 0.6.3
  see installed CHANGELOG.md
  [#]## Version 0.6.3 / 2017-03-24
  See beta release notes.
  [#]## Version 0.6.3.beta.1 / 2017-03-10
  * Bug fix: Fixed child process creation problems on Windows 7 when a child was declared as a leader.
* Sun Feb 26 2017 coolo@suse.com
- updated to version 0.6.2
  see installed CHANGELOG.md
  [#]## Version 0.6.2 / 2017-02-25
  * Bug fix: Fixed a potentially broken edge case that could occur on older 32-bit OSX systems.
* Mon Jan 23 2017 coolo@suse.com
- updated to version 0.6.1
  no changelog found
* Thu Jan 21 2016 coolo@suse.com
- updated to version 0.5.9
  no changelog found
* Sat Nov 14 2015 coolo@suse.com
- updated to version 0.5.8
  no changelog found
* Sat Oct 24 2015 coolo@suse.com
- updated to version 0.5.7
  no changelog found
* Thu Apr  9 2015 coolo@suse.com
- updated to version 0.5.6
* Tue Feb 10 2015 coolo@suse.com
- updated to version 0.5.5
* Thu Oct  9 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Sun May 18 2014 coolo@suse.com
- updated to version 0.5.3, no changelog
* Sun Apr  6 2014 coolo@suse.com
- updated to version 0.5.2
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.5.1
* Mon Jan 20 2014 coolo@suse.com
- updated to version 0.4.0
* Tue Mar  5 2013 coolo@suse.com
- updated to version 0.3.9
* Tue Feb 12 2013 coolo@suse.com
- updated to version 0.3.8, allow recent ffi
* Sun Feb  3 2013 coolo@suse.com
- updated to version 0.3.7
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.3.6, no changelog
* Tue Aug  7 2012 coolo@suse.com
- updated to version 0.3.5, no changelog
* Sun Jul 22 2012 coolo@suse.com
- update to version 0.3.4 - some portability fixes
* Fri Jul  6 2012 coolo@suse.com
- update to version 0.3.3
* Thu Feb 23 2012 saschpe@suse.de
- Provide rubygem-childprocess-0_3 (currently only for rubygem-vagrant)
* Wed Feb 22 2012 saschpe@gmx.de
- Update to version 0.3.1
* Thu Jan  5 2012 suse@ammler.ch
- update to 0.2.5
* Wed Aug 24 2011 fcastelli@novell.com
- package version 0.2.1
